import { __extends } from "tslib";
import { IgCollection } from "igniteui-angular-core";
import { SyncableObservableCollection$2 } from "igniteui-angular-core";
import { TrendLineType_$type } from "igniteui-angular-core";
import { ensureEnum } from "igniteui-angular-core";
var IgxTrendLineTypeCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgxTrendLineTypeCollection, _super);
    function IgxTrendLineTypeCollection(list) {
        var _this = _super.call(this) || this;
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgxTrendLineTypeCollection.prototype._ensureOuter = function (item) {
        return ensureEnum(TrendLineType_$type, item);
    };
    IgxTrendLineTypeCollection.prototype._createInnerColl = function () {
        var coll = new SyncableObservableCollection$2(TrendLineType_$type, TrendLineType_$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext;
        };
        coll.createFrom = function (int) {
            return int;
        };
        return coll;
    };
    return IgxTrendLineTypeCollection;
}(IgCollection));
export { IgxTrendLineTypeCollection };
